> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goteal.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all documents



## OpenAPI

````yaml GET /documents
openapi: 3.0.1
info:
  title: Payroll API
  description: A full flagged payroll api provided by Teal
  version: 1.0.0
servers:
  - url: https://api.sandbox.goteal.co
    description: Sandbox server for experiments
  - url: https://api.goteal.co
    description: Production server
security:
  - ApiKeyAuth: []
  - MemberBearerAuth: []
paths:
  /documents:
    get:
      summary: List all documents for a user.
      parameters:
        - in: query
          name: user_id
          schema:
            type: string
          required: true
          description: ID of the user to get documents for
        - name: offset
          in: query
          description: The offset to start at
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: limit
          in: query
          description: The number of items to return
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 500
            default: 500
      responses:
        '200':
          description: Document response
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                  documents:
                    type: array
                    items:
                      allOf:
                        - $ref: '#/components/schemas/DocumentResponse'
                        - properties:
                            file_contents:
                              type: string
                              description: Location to download the document
                              example: /documents/a9249254-ab10-4a2d-b709-eda95f5ecd59
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          $ref: '#/components/responses/UnauthorizedApiKey'
components:
  schemas:
    Pagination:
      type: object
      required:
        - offset
        - limit
        - count
      properties:
        offset:
          description: The offset to start at - zero based
          type: integer
          format: int32
          minimum: 1
          default: 0
          example: 75
        limit:
          type: integer
          format: int32
          minimum: 1
          maximum: 100
          default: 20
          example: 25
        count:
          type: integer
          format: int32
          example: 14
          minimum: 0
        total_count:
          type: integer
          format: int32
          example: 89
    DocumentResponse:
      type: object
      required:
        - document_id
        - file_name
        - type
        - uploaded_at
        - file_contents
      properties:
        document_id:
          type: string
          format: uuid
          description: A unique document identifier
          example: 95a0e70b-fe02-4f47-aef9-2efff279df71
        file_name:
          type: string
          description: Name of the file
          example: payslip1.pdf
        document_external_id:
          type: string
          description: >-
            A string coming from the parameters of the uploaded payslip1.pdf
            either the form field name or `external_document_id` header for the
            file part. It might not be unique and depends on what's passed when
            uploading.
          example: payslip123456
        type:
          type: string
          description: The type of document (Payslip, Bank Statement, or Document)
          example: Payslip
        uploaded_at:
          $ref: '#/components/schemas/Date'
    Error:
      required:
        - errors
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          description: An array of messages describing the errors
          example:
            - The request is missing the required field `name`
    Date:
      type: string
      format: date-time
      example: '2019-05-17T00:00:00.000Z'
    Unauthorized:
      type: object
      properties:
        errors:
          type: string
          description: An array of messages describing the errors
          example:
            - No X-API-KEY header provided or wrong value
  responses:
    UnauthorizedApiKey:
      description: Unauthorized if the X-API-KEY is not provided or is wrong
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    MemberBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token for authentication. The token should be the one returned by
        the "/members/signin"

````